Bug 89319 - Can't create new account (python releated)
Can't create new account (python releated)
Status: CLOSED DUPLICATE of bug 89895
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-22 11:41 EDT by Bertrand GOUPIL
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:52:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bertrand GOUPIL 2003-04-22 11:41:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.2.1) Gecko/20030225

Description of problem:
The interface keep frozen when trying to create new account.

The interface works fine until I tried to configure samba.

Here is the commond I've wrote before:

cat /etc/passwd | mksmbpasswd.sh > /etc/samba/smbpasswd
chmod 600 /etc/samba/smbpasswd
smbpasswd guest

The "guest" user wasn't exist, I've created It with the user interface(work
find), my samba configuration didn't work, I delete It in the user interface.

I would do it the same operation, the interface keep freezing.


 


Version-Release number of selected component (if applicable):
redhat-config-users-1.1.5

How reproducible:
Couldn't Reproduce


Additional info:

here is the error message display in the xterminal:

Traceback (most recent call last):
  File "/usr/share/redhat-config-users/userWindow.py", line 315, in
on_userWin_ok_button_clicked
    self.addToUsersGroup(userEnt, userName)
  File "/usr/share/redhat-config-users/userWindow.py", line 332, in addToUsersGroup
    cn = groupEnt.get(libuser.GROUPNAME)[0]
AttributeError: 'NoneType' object has no attribute 'get'
Comment 1 Matthew Miller 2003-05-09 14:49:46 EDT
looks related to bug #89895.
Comment 2 Brent Fox 2003-05-19 18:28:18 EDT
Yep, this looks like a dupe.

*** This bug has been marked as a duplicate of 89895 ***
Comment 3 Red Hat Bugzilla 2006-02-21 13:52:46 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.